﻿Imports C1.Win.C1Schedule.UI

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Displaying Calendar for a year - disable navigation in Calendar
        C1Calendar1.ShowNavigationButtons = False
        AddHandler C1Calendar1.MouseWheel, AddressOf c1Calendar1_MouseWheel
        ' Add Holidays in the C1Calendar object
        C1Calendar1.CalendarInfo.Holidays.AddRange(New DateTime() {New DateTime(2012, 1, 26),
                                                                   New DateTime(2013, 3, 8),
                                                                   New DateTime(2013, 4, 6),
                                                                   New DateTime(2013, 8, 15),
                                                                   New DateTime(2013, 8, 20),
                                                                   New DateTime(2013, 10, 24),
                                                                   New DateTime(2012, 11, 13),
                                                                   New DateTime(2012, 11, 15),
                                                                   New DateTime(2012, 11, 28),
                                                                   New DateTime(2012, 12, 25)})

    End Sub

    Private Sub c1Calendar1_MouseWheel(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs)
        CType(e, HandledMouseEventArgs).Handled = True
    End Sub

    Private Sub C1Calendar1_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles C1Calendar1.Paint
        Dim t As CalendarTheme = C1Calendar1.Theme
        ' Assign the Holidays Collection to the Bolded Dates array in the Calendar
        C1Calendar1.BoldedDates = C1Calendar1.CalendarInfo.Holidays.ToArray()
        ' Add Background Image to the Bolded Dates Theme in the Calendar Themes
        t(7).BackImage = New Bitmap("../../Resources/Flag_of_India.svg.png")

    End Sub
End Class
